import { createSignal } from "solid-js";

const [encryptedPhoneNumberSig, setEncryptedPhoneNumber] = createSignal("");
const [encryptedPhoneNumberLinkSig, setEncryptedPhoneNumberLink] = createSignal("");
const [encryptedMailSig, setEncryptedMail] = createSignal("");
const [encryptedMailLinkSig, setEncryptedMailLink] = createSignal("");

export const ImpressBody = (props: {
  encryptedPhoneNumber: string;
  encryptedPhoneNumberLink: string;
  encryptedMail: string;
  encryptedMailLink: string;
}) => {
  setEncryptedPhoneNumber(props.encryptedPhoneNumber);
  setEncryptedPhoneNumberLink(props.encryptedPhoneNumberLink);
  setEncryptedMail(props.encryptedMail);
  setEncryptedMailLink(props.encryptedMailLink);

  setTimeout(() => {
    setEncryptedPhoneNumber(atob(props.encryptedPhoneNumber));
    setEncryptedPhoneNumberLink(atob(props.encryptedPhoneNumberLink));
    setEncryptedMail(atob(props.encryptedMail));
    setEncryptedMailLink(atob(props.encryptedMailLink));
  }, 200);
  return (
    <div class="w-screen pl-12 h-screen flex flex-col justify-center">
      <p class="text-3xl">Impressum</p>
      <p class="text-small text-zinc-300 mb-5">Angaben gemäß § 5 TMG</p>

      <p>
        Dominik Strangas <br />
        80937 München
      </p>
      <p>
        Vertreten durch: <br />
        Dominik Strangas
        <br /> Kontakt:
        <br />
        Telefon: <a class="underline text-emerald-300" href={encryptedPhoneNumberLinkSig()}>{encryptedPhoneNumberSig()}</a><br />
        E-Mail: <a class="underline text-emerald-300" href={encryptedMailLinkSig()}>{encryptedMailSig()}</a><br />
        Umsatzsteuer-ID:  Musterustid. <span class="text-zinc-300 text-sm">(Umsatzsteuer-Identifikationsnummer gemäß §27a Umsatzsteuergesetz)</span>
        <br />Wirtschafts-ID: Musterwirtschaftsid
      </p>
    </div>
  );
};
